import 'dart:io';

import 'package:drifter/pages/login_screen/login_screen.dart';
import 'package:drifter/pages/main_screen/main_screen_widget.dart';
import 'package:drifter/pages/splash_screen/splash_screen.dart';
import 'package:drifter/pages/terms_of_service/terms_of_service.dart';
import 'package:drifter/pages/welcome_screen/welcome_screen.dart';
import 'package:drifter/theme/app_colors.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        appBarTheme: const AppBarTheme(backgroundColor: AppColors.background),
        bottomNavigationBarTheme: const BottomNavigationBarThemeData(
          backgroundColor: AppColors.background,
          selectedItemColor: AppColors.mainAccent,
          unselectedItemColor: Colors.grey,
        ),
      ),
      routes: {
        '/': (context) => const WelcomeScreen()
        // Splash()
        ,
        '/login': (context) => const LoginScreen(),
        '/terms': (context) => const TermsOfServiceScreen(),
      },
    );
  }
}
